:root {
    --bkgd-grey: #f2f2f2; /* Example: blue */
}

.squada {
    font-family: "Squada One", sans-serif;
    font-weight: 400;
    font-style: normal;
}

body{

}

h1.squada {
    font-weight: 700;
    font-size: 52px;
    margin: auto;
    width: 100%;
    text-align: center;
}

h2.squada {
    font-weight: 700;
    font-size: 32px;
    margin: auto;
    width: 100%;
    text-align: center;
}

ul li {
    margin: 5px 0;
}

nav{
    box-shadow: 0 -10px 15px -15px #1b1b18 inset;
    color:#fafafa;
    border-radius:8px;
    padding-top: 10px;
    padding-bottom: 1px;
    margin: 0 10px;
}

.dNone{
    display: none;
}

.bannerWrapper img {
    width: 60%;
    margin-left: 20%;
}

.currentUrl{
    box-shadow:0 1px 6px 1px #aaa;
    padding:4px;
    background: var(--bkgd-grey);
    border-radius: 8px;
}

.underline{
    text-decoration: underline;
}

.main{
    background: var(--bkgd-grey);
    min-height: max-content;
    max-width: 80vw;
    margin:20px auto;
    box-shadow: 0 0 6px 1px #222;
    border-radius: 6px;
    padding-bottom: 35px;
}

.mauto {/*
    width: 100%;
    margin: auto;*/

    display: flex;
    align-items: center;
    justify-content: center;
}

.author {
    margin-left: 15%;
    margin-top: 15px;
}

.bulletList {
    font-size: 24px;
    font-weight: bold;
}

.bulletList {
    list-style-type: circle;
    margin-left: 20%;
}

.content {
    /*margin-top: 25px;*/
    /*margin-left: 12px;*/
}

nav a {
    color: black;
    font-size: 18px;
    font-weight: bold;
}

.navMenu{
    display:flex;
    flex-direction: row;
    margin: 0 auto 10px auto;
    justify-content: space-evenly;

}

input[type="submit"] {
    border:1px solid black !important;
    border-radius: 10px;
    padding:3px;
    margin-top:15px;
}

.btn {
    border:1px solid black !important;
    border-radius: 10px;
    padding:3px;
}

button{
    border:1px solid black;
    border-radius: 10px;
    padding:3px;
}
input[type="submit"]:active {
    color:#fff;
    background:#000;
}
button:active{
    color:#fff;
    background:#000;
}

.buttonGroup{
    display:flex;
    flex-direction: row;
    justify-content: space-evenly;
    margin-top:20px;
}

.row{
    align-self: center;
    margin:12px 0 0 10px;
    width:80%;
    display:flex;
    flex-direction: column;
}

form{
    border:1px solid #888;
    display:flex;
    flex-direction: column;
    justify-items:left;
    /*width: 280px;*/
    box-shadow: 0 2px 4px 1px #556;
    margin:15px;
    border-radius: 5px;
    padding:8px;
    background:#fafafa;
}

.pageForm {
    margin: auto;
    width: 70%;
}

form label{
    color: #084b30;
    margin:12px 0 0 10px;
}
form input{
    border-bottom: 1px solid black;
    width: 80%;
    align-self: center;
    margin:auto;
    justify-content: center;
}

form input[type="checkbox"] {
    width: 10%;
    margin-left: 5%;
    transform: scale(1.5);
}

form button{
    align-self: flex-end;
    margin:12px;
}

form select{
    width: 80%;
    margin:0 0 12px 30px;
}

form textarea{
    width:80%;
    margin:auto;
}

input[type="submit"] {

}


.product{
    margin:15px;
    padding:15px;
    box-shadow: 0 0 4px 1px #888;
    border-radius: 4px;
    font-weight: bold;
    font-size: 18px;
}

.productHeader{
    display:flex;
    flex-direction: row;
    justify-content: space-between;
    padding: 5px 0 10px 0;
}

.productImage{
    max-height: 400px;
}

/* shopping page */

.searchForm {
    display: flex;
    flex-direction: row;
    width: 350px;
}

.searchForm input {
    margin: 8px;
}

#searchInput {
    width: 250px;
}

.mainWrap {
    width: 100%;
    padding: 0 6%;
}

.productGrid, .categoryGrid{
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    justify-content: space-around;
}

.categoryGrid
{
    gap: 24px;
}

.productWrap {
    margin: 20px auto;
    width: 60%;
    padding: 0 6%;
    background-color: white;
    border-radius: 15px;
    font-size: 18px;
    font-weight: bold;
}

h2.squada {
    font-size: 32px;
    margin: 15px;
}

.productList li {
    display: flex;
}

.productList label {
    flex-basis: 85%;
}

.productList a {
    margin-left: 25px;
    flex-basis: 15%;
}

@media (max-width: 1250px) {
    .searchForm {
        width: 250px;
    }

    #searchInput {
        width: 150px;
    }

    .productGrid, .categoryGrid {
        grid-template-columns: 1fr;
    }

    .main {
        margin: 0;
        max-width: unset;
    }

    .content{
        padding: 0 15px;
    }

    .author {
        margin-left: 0;
        text-align: center;
    }

    .bulletList {
        margin-left: 10px;
    }
}
